#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    vector<char>alfabet{'a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z'};
    int n,k;
    cin>>n>>k;
    string s;
    cin>>s;
    for(int i=0;i<n;i++){
        vector<int>v(k);
        for(int j=0;j<i+1;j++){
            for(int l=0;l<k;l++){
                if(alfabet[l]==s[j]){
                    v[l]++;
                }
            }
        }
        sort(v.begin(),v.end());
        cout<<v[0]+1<<endl;
    }
    return 0;
}